Bug 1236247 - [RFE] Email Reporting for OpenSCAP Policy
Summary: [RFE] Email Reporting for OpenSCAP Policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1285231
TreeView+ depends on / blocked
 
Reported: 2015-06-27 00:16 UTC by Rich Jerrido
Modified: 2019-09-26 16:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:16:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Foreman Issue Tracker 11085 None None None 2016-04-22 15:07:17 UTC

Description Rich Jerrido 2015-06-27 00:16:16 UTC
Description of problem:

As a user of OpenSCAP in Red Hat Satellite 6.1, I would like the ability to receive email reports (such as those for puppet and errata) for my OpenSCAP Policies. These reports should contain (at a minimum):

* Name of the Policy
* Listing of hosts whose policy 'status' has changed (i.e, the number of passed/failed/error rules has changed)

Comment 1 RHEL Product and Program Management 2015-06-27 00:32:26 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2015-07-10 11:40:28 UTC
Created redmine issue http://projects.theforeman.org/issues/11085 from this bug

Comment 4 Bryan Kearney 2015-08-25 18:35:50 UTC
Upstream bug component is SCAP Plugin

Comment 5 Bryan Kearney 2015-08-27 15:37:34 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/11085 has been closed

Comment 6 Russell Dickenson 2015-12-17 01:22:23 UTC
I have sent the following to Shlomi via email, but so that all information is together, I have pasted it here.

-------
In looking at the Email preferences > Notifications section, I note
that there is the option "Build a query for audit summary". Does this
field operate like the search fields available elsewhere in the
Satellite/Foreman web UI?

Is there a reference somewhere as to the available query parameters?
I'm particularly curious about the following parameters: action,
changes, time, user and username.

I'll try putting this feature (as I understand it) into a real-life
scenario, so that you can either confirm my understanding is correct,
or correct my understanding. :D  Imagine I have 10 hosts under
Satellite management and I have a SCAP policy being run daily on all
those hosts. I want to be notified via email if the results of more
than 5 rules have changed since the policy was previously run.
-------

Comment 14 Roman Plevka 2016-07-22 13:29:37 UTC
VERIFIED

for satellite-6.2.0-20.1.el6sat.noarch
The email reports work fine now.

Comment 16 errata-xmlrpc 2016-07-27 09:16:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.